export interface User {
    id: string;
    email: string;
    name: string;
    phone_number: string;
    role: string;
    status: string;
}

export interface InvitedUser {
    user: User;
    workspace_id: string;
}
  
export interface RegisterOwner {
    email: string;
    name: string;
    password: string;
    phone_number: string;
}

export interface RegisterInvitedUser {
    email: string;
    name: string;
    password: string;
    phone_number: string;
    token: string;
    
}

export interface InviteData {
    email: string;
    role: string;
    workspace_id: string;
}

export interface InviteToken {
    valid: boolean;
    workspace_id: string;
    email: string;
    error: string;
}

export interface UserMe {
    user: User;
    workspaces: Workspace[];
}

export interface Workspace {
    id: string;
    name: string;
}
    